Package org.eclipse.m2m.atl.core.ui.launch

## Class RemoteAtlTabGroup

- java.lang.Object
- - org.eclipse.debug.ui.AbstractLaunchConfigurationTabGroup
  - - org.eclipse.m2m.atl.core.ui.launch.RemoteAtlTabGroup

All Implemented Interfaces:
  `org.eclipse.debug.ui.ILaunchConfigurationTabGroup`

    public class RemoteAtlTabGroup
    extends org.eclipse.debug.ui.AbstractLaunchConfigurationTabGroup

The remote ATL tab group.

### Field Summary

### Fields inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTabGroup

`fTabs`

### Constructor Summary

Constructors
`RemoteAtlTabGroup()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createTabs​(org.eclipse.debug.ui.ILaunchConfigurationDialog dialog, java.lang.String mode)`

### Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTabGroup

`dispose, getTabs, initializeFrom, launched, performApply, setDefaults, setTabs`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RemoteAtlTabGroup

    public RemoteAtlTabGroup()

### Method Detail

#### createTabs

    public void createTabs​(org.eclipse.debug.ui.ILaunchConfigurationDialog dialog,
                           java.lang.String mode)

See Also:
  `ILaunchConfigurationTabGroup.createTabs(org.eclipse.debug.ui.ILaunchConfigurationDialog, java.lang.String)`